#
# spec file for package python
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-zc.recipe.egg
Version:        2.0.1
Release:        1.5
Summary:        Recipe for installing Python package distributions as eggs
License:        ZPL-2.1
Group:          Development/Languages/Python
Url:            http://cheeseshop.python.org/pypi/zc.recipe.egg
Source:         http://pypi.python.org/packages/source/z/zc.recipe.egg/zc.recipe.egg-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%else
BuildArch:      noarch
%endif

%description
The egg-installation recipe installs eggs into a buildout eggs
directory.  It also generates scripts in a buildout bin directory with 
egg paths baked into them.

%prep
%setup -q -n zc.recipe.egg-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES.txt README.txt
%{python_sitelib}/*

%changelog
* Fri Nov 15 2013 p.drouand@gmail.com
- Update to version 2.0.1
  + accomodate ``zc.bulidout`` swtich to post-merge ``setuptools``.
- Changes from 2.0.0
  + enabled 'prefer-final' option by default.
- Add documentation from tarball
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Mon Jan 14 2013 alexandre@exatati.com.br
- Update to 2.0.0a3:
  - Sorry, no changelog.
- Reworked spec file with py2pack again.
* Sat Apr 30 2011 alexandre@exatati.com.br
- Regenerate spec file with py2pack.
* Sat May  1 2010 alexandre@exatati.com.br
- Update to 1.2.3b2;
- Spec file cleaned with spec-cleaner.
* Mon Nov  9 2009 alexandre@exatati.com.br
- Fixed package name.
* Fri Oct 16 2009 alexandre@exatati.com.br
- Initial paclage (1.2.2) for openSUSE.
